
D4Science Infrastructure - Task #9357

www.d4science.org (and www.gcube-system.org) does not start at boot

Jul 22, 2017 04:21 PM - Andrea Dell'Amico

Status: Closed Start date: Jul 22, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

There is no startup script, so each time the VM is restarted someone must manually start the service.

History

#1 - Jul 22, 2017 04:23 PM - Andrea Dell'Amico

@luca.frosini@isti.cnr.it we have a solution used on the infra gateway servers that could be adopted on the portals too. We need to share a file that

contains the environment variables between the init startup script and the manually executed one.

#2 - Jul 24, 2017 09:47 AM - Luca Frosini

@andrea.dellamico@isti.cnr.it did you want cite @massimiliano.assante@isti.cnr.it ?

#3 - Jul 24, 2017 03:52 PM - Andrea Dell'Amico

whoever has to start/stop the service.

I will proceed in the same way I've done on the infra gateways.

#4 - Sep 28, 2017 06:02 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

Done. Now the service must be started/stopped as root, with the command:

start portal

stop portal
